%define anolis_release 1
%global pypi_name pytest-xdist
%bcond_with check

Name:           python-%{pypi_name}
Version:        3.2.1
Release:        %{anolis_release}%{?dist}
Summary:        pytest plugin for distributed testing and loop-on-failing modes

License:        MIT
URL:            https://github.com/pytest-dev/pytest-xdist
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel

%global _description %{expand:
The pytest-xdist plugin extends pytest with new test execution modes,
the most used being distributing tests across multiple CPUs
to speed up test execution:

    pytest -n auto

With this call, pytest will spawn a number of workers processes equal
to the number of available CPUs, and distribute the tests randomly across them.}

%description %_description

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description

%pyproject_extras_subpkg -n python3-%{pypi_name} psutil setproctitle

%package -n     python3-%{pypi_name}-doc
Summary:        %{summary}
Requires:	python3-%{pypi_name} = %{version}-%{release}

%description -n python3-%{pypi_name}-doc
Doc files for python3-%{pypi_name}

%prep
%autosetup -n %{pypi_name}-%{version} -p 1

%generate_buildrequires
%pyproject_buildrequires -x testing -x psutil -x setproctitle

%build
%pyproject_wheel

%install
%pyproject_install

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name}
%license LICENSE
%{python3_sitelib}/pytest_xdist*
%{python3_sitelib}/xdist/

%files -n python3-%{pypi_name}-doc
%doc README.rst

%changelog
* Fri Mar 17 2023 happy_orange <songnannan@linux.alibaba.com> - 3.2.1-1
- package init from upstream
